Skip to main content
GET
/
entities
/
{ent_id}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8 \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "ent_au22b1fbFJbp8",
  "type": "individual",
  "individual": {
      "first_name": "Kevin",
      "last_name": "Doyle",
      "phone": "+15121231111",
      "dob": "1997-03-18",
      "email": "kevin.doyle@gmail.com",
      "ssn_4": "xxxx",
      "ssn": null,
  },
  "error": null,
  "address": {
      "line1": "3300 N Interstate 35",
      "line2": null,
      "city": "Austin",
      "state": "TX",
      "zip": "78705"
  },
  "status": "active",
  "verification": {
    "identity": {
      "verified": true,
      "matched": true,
      "latest_verification_session": "evf_mQ6yr6VVJLNEb",
      "methods": []
    },
    "phone": {
      "verified": true,
      "latest_verification_session": "evf_P4QXNj93Y9J8L",
      "methods": []
    }
  },
  "connect": null,
  "credit_score": null,
  "products": [
    "connect",
    "credit_score",
    "vehicle"
  ],
  "restricted_products": [
    "identity", 
    "attribute"
  ],
  "subscriptions": [],
  "available_subscriptions": [
    "connect",
    "credit_score"
  ],
  "restricted_subscriptions": [],
  "metadata": null,
  "created_at": "2023-10-23T05:46:14.550Z",
  "updated_at": "2023-10-23T05:46:14.550Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns the Entity associated with the ID.

Path Parameters

Query Parameters

Returns

Returns the Entity associated with the ID.
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8 \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "ent_au22b1fbFJbp8",
  "type": "individual",
  "individual": {
      "first_name": "Kevin",
      "last_name": "Doyle",
      "phone": "+15121231111",
      "dob": "1997-03-18",
      "email": "kevin.doyle@gmail.com",
      "ssn_4": "xxxx",
      "ssn": null,
  },
  "error": null,
  "address": {
      "line1": "3300 N Interstate 35",
      "line2": null,
      "city": "Austin",
      "state": "TX",
      "zip": "78705"
  },
  "status": "active",
  "verification": {
    "identity": {
      "verified": true,
      "matched": true,
      "latest_verification_session": "evf_mQ6yr6VVJLNEb",
      "methods": []
    },
    "phone": {
      "verified": true,
      "latest_verification_session": "evf_P4QXNj93Y9J8L",
      "methods": []
    }
  },
  "connect": null,
  "credit_score": null,
  "products": [
    "connect",
    "credit_score",
    "vehicle"
  ],
  "restricted_products": [
    "identity", 
    "attribute"
  ],
  "subscriptions": [],
  "available_subscriptions": [
    "connect",
    "credit_score"
  ],
  "restricted_subscriptions": [],
  "metadata": null,
  "created_at": "2023-10-23T05:46:14.550Z",
  "updated_at": "2023-10-23T05:46:14.550Z"
}